package com.hzya.frame.cbs8.dto.res;

/**
 * @Description 代发代扣查询详情
 * @Author xiangerlin
 * @Date 2024/6/19 09:02
 **/
public class AgentPayQueryDTO {
    // 申请单编号
    private String busNum;

    // 代发/代扣明细序号
    private String dtlSeqNum;

    // 金额
    private String dtlAmount; // 考虑到金额计算精度，建议使用BigDecimal

    // 收款人名称
    private String dtlRevName;

    // 收款人账号
    private String dtlRevAccount;

    // 收款人开户行
    private String dtlRevBankName;

    // 银行号
    private String dtlBankNum;

    // 联行号
    private String dtlCnapsCode;

    // 是否跨行（Y：开户行是招商银行。N：开户行是他行。为空默认为招行）
    private String dtlBankFlag;

    // 地区名称
    private String dtlRevBankArea;

    // 注释
    private String dtlRemark;

    // 状态
    private String dtlStatus;

    // 错误信息
    private String dtlErrorMessage;

    // 他行开户地
    private String dtlRevBankCity;

    // 备用字段1-6
    private String dtlExtend1;
    private String dtlExtend2;
    private String dtlExtend3;
    private String dtlExtend4;
    private String dtlExtend5;
    private String dtlExtend6;

    // ERP备注1-3
    private String dtlErpComment1;
    private String dtlErpComment2;
    private String dtlErpComment3;

    // 用途
    private String dtlPurpose;

    // 银行支付时间
    private String dtlPayTime;

    // 实际扣款金额
    private String dtlActualAmount;

    public String getBusNum() {
        return busNum;
    }

    public void setBusNum(String busNum) {
        this.busNum = busNum;
    }

    public String getDtlSeqNum() {
        return dtlSeqNum;
    }

    public void setDtlSeqNum(String dtlSeqNum) {
        this.dtlSeqNum = dtlSeqNum;
    }

    public String getDtlAmount() {
        return dtlAmount;
    }

    public void setDtlAmount(String dtlAmount) {
        this.dtlAmount = dtlAmount;
    }

    public String getDtlRevName() {
        return dtlRevName;
    }

    public void setDtlRevName(String dtlRevName) {
        this.dtlRevName = dtlRevName;
    }

    public String getDtlRevAccount() {
        return dtlRevAccount;
    }

    public void setDtlRevAccount(String dtlRevAccount) {
        this.dtlRevAccount = dtlRevAccount;
    }

    public String getDtlRevBankName() {
        return dtlRevBankName;
    }

    public void setDtlRevBankName(String dtlRevBankName) {
        this.dtlRevBankName = dtlRevBankName;
    }

    public String getDtlBankNum() {
        return dtlBankNum;
    }

    public void setDtlBankNum(String dtlBankNum) {
        this.dtlBankNum = dtlBankNum;
    }

    public String getDtlCnapsCode() {
        return dtlCnapsCode;
    }

    public void setDtlCnapsCode(String dtlCnapsCode) {
        this.dtlCnapsCode = dtlCnapsCode;
    }

    public String getDtlBankFlag() {
        return dtlBankFlag;
    }

    public void setDtlBankFlag(String dtlBankFlag) {
        this.dtlBankFlag = dtlBankFlag;
    }

    public String getDtlRevBankArea() {
        return dtlRevBankArea;
    }

    public void setDtlRevBankArea(String dtlRevBankArea) {
        this.dtlRevBankArea = dtlRevBankArea;
    }

    public String getDtlRemark() {
        return dtlRemark;
    }

    public void setDtlRemark(String dtlRemark) {
        this.dtlRemark = dtlRemark;
    }

    public String getDtlStatus() {
        return dtlStatus;
    }

    public void setDtlStatus(String dtlStatus) {
        this.dtlStatus = dtlStatus;
    }

    public String getDtlErrorMessage() {
        return dtlErrorMessage;
    }

    public void setDtlErrorMessage(String dtlErrorMessage) {
        this.dtlErrorMessage = dtlErrorMessage;
    }

    public String getDtlRevBankCity() {
        return dtlRevBankCity;
    }

    public void setDtlRevBankCity(String dtlRevBankCity) {
        this.dtlRevBankCity = dtlRevBankCity;
    }

    public String getDtlExtend1() {
        return dtlExtend1;
    }

    public void setDtlExtend1(String dtlExtend1) {
        this.dtlExtend1 = dtlExtend1;
    }

    public String getDtlExtend2() {
        return dtlExtend2;
    }

    public void setDtlExtend2(String dtlExtend2) {
        this.dtlExtend2 = dtlExtend2;
    }

    public String getDtlExtend3() {
        return dtlExtend3;
    }

    public void setDtlExtend3(String dtlExtend3) {
        this.dtlExtend3 = dtlExtend3;
    }

    public String getDtlExtend4() {
        return dtlExtend4;
    }

    public void setDtlExtend4(String dtlExtend4) {
        this.dtlExtend4 = dtlExtend4;
    }

    public String getDtlExtend5() {
        return dtlExtend5;
    }

    public void setDtlExtend5(String dtlExtend5) {
        this.dtlExtend5 = dtlExtend5;
    }

    public String getDtlExtend6() {
        return dtlExtend6;
    }

    public void setDtlExtend6(String dtlExtend6) {
        this.dtlExtend6 = dtlExtend6;
    }

    public String getDtlErpComment1() {
        return dtlErpComment1;
    }

    public void setDtlErpComment1(String dtlErpComment1) {
        this.dtlErpComment1 = dtlErpComment1;
    }

    public String getDtlErpComment2() {
        return dtlErpComment2;
    }

    public void setDtlErpComment2(String dtlErpComment2) {
        this.dtlErpComment2 = dtlErpComment2;
    }

    public String getDtlErpComment3() {
        return dtlErpComment3;
    }

    public void setDtlErpComment3(String dtlErpComment3) {
        this.dtlErpComment3 = dtlErpComment3;
    }

    public String getDtlPurpose() {
        return dtlPurpose;
    }

    public void setDtlPurpose(String dtlPurpose) {
        this.dtlPurpose = dtlPurpose;
    }

    public String getDtlPayTime() {
        return dtlPayTime;
    }

    public void setDtlPayTime(String dtlPayTime) {
        this.dtlPayTime = dtlPayTime;
    }

    public String getDtlActualAmount() {
        return dtlActualAmount;
    }

    public void setDtlActualAmount(String dtlActualAmount) {
        this.dtlActualAmount = dtlActualAmount;
    }
}
